Bug 103841 - [CI][BAT] igt@* - dmesg-fail - *ERROR* mismatch in has_audio - WARN - pipe state doesn't match!
Summary: [CI][BAT] igt@* - dmesg-fail - *ERROR* mismatch in has_audio - WARN - pipe st...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-22 06:28 UTC by Marta Löfstedt
Modified: 2019-05-02 14:10 UTC (History)
2 users (show)

See Also:
i915 platform: CFL, GLK, KBL, SKL
i915 features: display/audio


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-11-22 06:28:16 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3370/fi-kbl-7500u/igt@kms_chamelium@dp-crc-fast.html

test fails:
(kms_chamelium:3870) igt-chamelium-CRITICAL: Test assertion failure function chamelium_assert_crc_eq_or_dump, file igt_chamelium.c:1064:
(kms_chamelium:3870) igt-chamelium-CRITICAL: Failed assertion: eq
Subtest dp-crc-fast failed.

dmesg:
<3>[  281.466156] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
<4>[  281.466181] pipe state doesn't match!
<4>[  281.466196] ------------[ cut here ]------------
<4>[  281.466219] WARNING: CPU: 2 PID: 3870 at drivers/gpu/drm/i915/intel_display.c:11596 intel_atomic_commit_tail+0xbfb/0xd00 [i915]
<4>[  281.466221] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 snd_hda_intel snd_hda_codec x86_pkg_temp_thermal snd_hwdep intel_powerclamp coretemp snd_hda_core crct10dif_pclmul crc32_pclmul snd_pcm ghash_clmulni_intel e1000e ptp pps_core mei_me mei prime_numbers pinctrl_sunrisepoint i2c_hid pinctrl_intel
<4>[  281.466262] CPU: 2 PID: 3870 Comm: kms_chamelium Tainted: G     U          4.14.0-CI-CI_DRM_3370+ #1
<4>[  281.466264] Hardware name: GIGABYTE GB-BKi7(H)A-7500/MFLP7AP-00, BIOS F7 06/28/2017
<4>[  281.466266] task: ffff88025cba8040 task.stack: ffffc90000410000
<4>[  281.466287] RIP: 0010:intel_atomic_commit_tail+0xbfb/0xd00 [i915]
<4>[  281.466289] RSP: 0018:ffffc90000413c08 EFLAGS: 00010296
<4>[  281.466292] RAX: 0000000000000019 RBX: ffff88024fd40718 RCX: 0000000000000001
<4>[  281.466294] RDX: 0000000080000001 RSI: ffffffff81cb96e3 RDI: 00000000ffffffff
<4>[  281.466296] RBP: ffff880257ae2548 R08: ffff88025cba8978 R09: 0000000000000000
<4>[  281.466298] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8802618c0008
<4>[  281.466299] R13: ffff8802618c4a88 R14: 0000000000000000 R15: ffff88024fd40000
<4>[  281.466301] FS:  00007fd3d2592a40(0000) GS:ffff88026dd00000(0000) knlGS:0000000000000000
<4>[  281.466303] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[  281.466305] CR2: 000055eea2d01c78 CR3: 0000000003e0f002 CR4: 00000000003606e0
<4>[  281.466306] Call Trace:
<4>[  281.466331]  intel_atomic_commit+0x223/0x2d0 [i915]
<4>[  281.466337]  restore_fbdev_mode_atomic+0x177/0x1d0
<4>[  281.466344]  drm_fb_helper_restore_fbdev_mode_unlocked+0x47/0x90
<4>[  281.466367]  intel_fbdev_restore_mode+0x30/0x80 [i915]
<4>[  281.466369]  drm_lastclose+0x34/0xe0
<4>[  281.466372]  drm_release+0x309/0x3c0
<4>[  281.466377]  __fput+0xb1/0x1e0
<4>[  281.466381]  task_work_run+0x8d/0xc0
<4>[  281.466385]  do_exit+0x303/0xcc0
<4>[  281.466389]  ? trace_hardirqs_on_caller+0xde/0x1c0
<4>[  281.466393]  do_group_exit+0x3d/0xc0
<4>[  281.466396]  SyS_exit_group+0x10/0x10
<4>[  281.466399]  entry_SYSCALL_64_fastpath+0x1c/0xb1
<4>[  281.466401] RIP: 0033:0x7fd3cf81c748
<4>[  281.466403] RSP: 002b:00007fffad0a31a8 EFLAGS: 00000246 ORIG_RAX: 00000000000000e7
<4>[  281.466406] RAX: ffffffffffffffda RBX: ffffc90000413ff0 RCX: 00007fd3cf81c748
<4>[  281.466408] RDX: 0000000000000063 RSI: 000000000000003c RDI: 0000000000000063
<4>[  281.466410] RBP: 0000000000000063 R08: 00000000000000e7 R09: fffffffffffffdf8
<4>[  281.466411] R10: 00007fd3c7d59088 R11: 0000000000000246 R12: 0000000000000046
<4>[  281.466413] R13: 00000000ffffffff R14: 00007fffad0a2ea0 R15: 0000000000000047
<4>[  281.466419] Code: ff 0f b6 d0 0f b6 f1 48 c7 c7 70 4c 2c a0 e8 58 e5 ed e0 0f ff 41 0f b6 4d 09 e9 e4 f9 ff ff 48 c7 c7 b1 34 2a a0 e8 40 e5 ed e0 <0f> ff e9 93 fa ff ff 80 3d b8 10 14 00 00 0f b6 ca 0f 85 b4 00 
<4>[  281.466513] ---[ end trace e73b44f0744f6371 ]---
Comment 1 Martin Peres 2018-02-22 14:38:57 UTC
Also seen on igt@pm_rpm@system-suspend:

[  271.940449] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
[  271.940474] ------------[ cut here ]------------
[  271.940476] pipe state doesn't match!
[  271.940512] WARNING: CPU: 1 PID: 2758 at drivers/gpu/drm/i915/intel_display.c:11600 intel_atomic_commit_tail+0xc14/0xd20 [i915]
[  271.940514] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_intel crct10dif_pclmul crc32_pclmul snd_hda_codec ghash_clmulni_intel snd_hwdep snd_hda_core e1000e snd_pcm mei_me mei prime_numbers
[  271.940544] CPU: 1 PID: 2758 Comm: pm_rpm Tainted: G     U           4.16.0-rc2-CI-CI_DRM_3821+ #1
[  271.940545] Hardware name:  /NUC7i5BNB, BIOS BNKBL357.86A.0054.2017.1025.1822 10/25/2017
[  271.940565] RIP: 0010:intel_atomic_commit_tail+0xc14/0xd20 [i915]
[  271.940567] RSP: 0018:ffffc9000096bc70 EFLAGS: 00010286
[  271.940569] RAX: 0000000000000019 RBX: ffff88026de62e98 RCX: 0000000000000001
[  271.940571] RDX: 0000000080000001 RSI: ffffffff820b242f RDI: 00000000ffffffff
[  271.940572] RBP: ffff88025df50958 R08: ffff8802732b3168 R09: 00000000b14955e2
[  271.940574] R10: ffff88025df50c38 R11: 0000000000000000 R12: ffff88025dff37e8
[  271.940575] R13: 0000000000000000 R14: ffff880269070000 R15: ffff880269070760
[  271.940577] FS:  00007f92c8bc0a40(0000) GS:ffff88027ec80000(0000) knlGS:0000000000000000
[  271.940578] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  271.940580] CR2: 00007f2ef3083000 CR3: 0000000269460005 CR4: 00000000003606e0
[  271.940581] Call Trace:
[  271.940606]  intel_atomic_commit+0x256/0x330 [i915]
[  271.940612]  restore_fbdev_mode_atomic+0x199/0x1f0
[  271.940621]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
[  271.940642]  intel_fbdev_restore_mode+0x2b/0x80 [i915]
[  271.940644]  drm_lastclose+0x2f/0xe0
[  271.940647]  drm_release+0x304/0x3c0
[  271.940652]  __fput+0xac/0x1e0
[  271.940657]  task_work_run+0x88/0xb0
[  271.940661]  exit_to_usermode_loop+0x75/0x80
[  271.940664]  do_syscall_64+0x160/0x1a0
[  271.940668]  entry_SYSCALL_64_after_hwframe+0x42/0xb7
[  271.940669] RIP: 0033:0x7f92c7098730
[  271.940671] RSP: 002b:00007ffca41c0f78 EFLAGS: 00000246 ORIG_RAX: 0000000000000003
[  271.940674] RAX: 0000000000000000 RBX: 0000000000000001 RCX: 00007f92c7098730
[  271.940675] RDX: 0000000000000000 RSI: 0000000000000000 RDI: 0000000000000004
[  271.940676] RBP: 0000000000000000 R08: 0000557ace7fb8b0 R09: 0000000000000001
[  271.940678] R10: 0000000000000078 R11: 0000000000000246 R12: 0000557acced6980
[  271.940679] R13: 00007f92c7083c20 R14: 0000000000000000 R15: 0000000000000000
[  271.940687] Code: 0f b6 d0 0f b6 f1 48 c7 c7 40 af 2b a0 e8 f5 25 e8 e0 0f 0b 41 0f b6 4c 24 09 e9 d7 f9 ff ff 48 c7 c7 66 86 29 a0 e8 dc 25 e8 e0 <0f> 0b e9 81 fa ff ff 80 3d 97 ac 14 00 00 0f b6 ca 0f 85 b4 00 
[  271.940764] ---[ end trace 8a4a21295c2d0ca1 ]---

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3821/shard-kbl5/igt@pm_rpm@system-suspend.html
Comment 2 Marta Löfstedt 2018-02-23 06:40:45 UTC
(In reply to Martin Peres from comment #1)
> Also seen on igt@pm_rpm@system-suspend:
> 
> [  271.940449] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio
> (expected yes, found no)
> [  271.940474] ------------[ cut here ]------------
> [  271.940476] pipe state doesn't match!
> [  271.940512] WARNING: CPU: 1 PID: 2758 at
> drivers/gpu/drm/i915/intel_display.c:11600
> intel_atomic_commit_tail+0xc14/0xd20 [i915]
> [  271.940514] Modules linked in: vgem snd_hda_codec_hdmi
> snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal
> intel_powerclamp coretemp snd_hda_intel crct10dif_pclmul crc32_pclmul
> snd_hda_codec ghash_clmulni_intel snd_hwdep snd_hda_core e1000e snd_pcm
> mei_me mei prime_numbers
> [  271.940544] CPU: 1 PID: 2758 Comm: pm_rpm Tainted: G     U          
> 4.16.0-rc2-CI-CI_DRM_3821+ #1
> [  271.940545] Hardware name:  /NUC7i5BNB, BIOS
> BNKBL357.86A.0054.2017.1025.1822 10/25/2017
> [  271.940565] RIP: 0010:intel_atomic_commit_tail+0xc14/0xd20 [i915]
> [  271.940567] RSP: 0018:ffffc9000096bc70 EFLAGS: 00010286
> [  271.940569] RAX: 0000000000000019 RBX: ffff88026de62e98 RCX:
> 0000000000000001
> [  271.940571] RDX: 0000000080000001 RSI: ffffffff820b242f RDI:
> 00000000ffffffff
> [  271.940572] RBP: ffff88025df50958 R08: ffff8802732b3168 R09:
> 00000000b14955e2
> [  271.940574] R10: ffff88025df50c38 R11: 0000000000000000 R12:
> ffff88025dff37e8
> [  271.940575] R13: 0000000000000000 R14: ffff880269070000 R15:
> ffff880269070760
> [  271.940577] FS:  00007f92c8bc0a40(0000) GS:ffff88027ec80000(0000)
> knlGS:0000000000000000
> [  271.940578] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
> [  271.940580] CR2: 00007f2ef3083000 CR3: 0000000269460005 CR4:
> 00000000003606e0
> [  271.940581] Call Trace:
> [  271.940606]  intel_atomic_commit+0x256/0x330 [i915]
> [  271.940612]  restore_fbdev_mode_atomic+0x199/0x1f0
> [  271.940621]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
> [  271.940642]  intel_fbdev_restore_mode+0x2b/0x80 [i915]
> [  271.940644]  drm_lastclose+0x2f/0xe0
> [  271.940647]  drm_release+0x304/0x3c0
> [  271.940652]  __fput+0xac/0x1e0
> [  271.940657]  task_work_run+0x88/0xb0
> [  271.940661]  exit_to_usermode_loop+0x75/0x80
> [  271.940664]  do_syscall_64+0x160/0x1a0
> [  271.940668]  entry_SYSCALL_64_after_hwframe+0x42/0xb7
> [  271.940669] RIP: 0033:0x7f92c7098730
> [  271.940671] RSP: 002b:00007ffca41c0f78 EFLAGS: 00000246 ORIG_RAX:
> 0000000000000003
> [  271.940674] RAX: 0000000000000000 RBX: 0000000000000001 RCX:
> 00007f92c7098730
> [  271.940675] RDX: 0000000000000000 RSI: 0000000000000000 RDI:
> 0000000000000004
> [  271.940676] RBP: 0000000000000000 R08: 0000557ace7fb8b0 R09:
> 0000000000000001
> [  271.940678] R10: 0000000000000078 R11: 0000000000000246 R12:
> 0000557acced6980
> [  271.940679] R13: 00007f92c7083c20 R14: 0000000000000000 R15:
> 0000000000000000
> [  271.940687] Code: 0f b6 d0 0f b6 f1 48 c7 c7 40 af 2b a0 e8 f5 25 e8 e0
> 0f 0b 41 0f b6 4c 24 09 e9 d7 f9 ff ff 48 c7 c7 66 86 29 a0 e8 dc 25 e8 e0
> <0f> 0b e9 81 fa ff ff 80 3d 97 ac 14 00 00 0f b6 ca 0f 85 b4 00 
> [  271.940764] ---[ end trace 8a4a21295c2d0ca1 ]---
> 
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3821/shard-kbl5/
> igt@pm_rpm@system-suspend.html

Martin please update the title of the bug if you find an occurrence on another test
Comment 3 Marta Löfstedt 2018-03-19 14:28:20 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_4/fi-kbl-7500u/igt@kms_chamelium@dp-crc-multiple.html

	

[  140.554743] systemd-journald[167]: Failed to set ACL on /var/log/journal/b7226cabb8724d759c6fd48d794495bf/user-1000.journal, ignoring: Operation not supported
[  152.172650] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
[  152.172652] ------------[ cut here ]------------
[  152.172653] pipe state doesn't match!
[  152.172696] WARNING: CPU: 0 PID: 1479 at drivers/gpu/drm/i915/intel_display.c:11616 intel_atomic_commit_tail+0xc28/0xce0 [i915]
[  152.172697] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 snd_hda_intel snd_hda_codec snd_hwdep snd_hda_core snd_pcm btusb btrtl btbcm btintel x86_pkg_temp_thermal bluetooth intel_powerclamp coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel e1000e ecdh_generic mei_me mei prime_numbers
[  152.172723] CPU: 0 PID: 1479 Comm: kms_chamelium Tainted: G     U           4.16.0-rc5-g639c78d2805b-drmtip_4+ #1
[  152.172725] Hardware name: GIGABYTE GB-BKi7(H)A-7500/MFLP7AP-00, BIOS F7 06/28/2017
[  152.172753] RIP: 0010:intel_atomic_commit_tail+0xc28/0xce0 [i915]
[  152.172755] RSP: 0018:ffff9d6bc04abb38 EFLAGS: 00010292
[  152.172757] RAX: 0000000000000019 RBX: ffff8ae51e5b8008 RCX: 0000000000000001
[  152.172758] RDX: 0000000080000001 RSI: ffffffff9a0ea391 RDI: 00000000ffffffff
[  152.172759] RBP: ffff8ae50cc092a8 R08: ffff8ae50da7d9e0 R09: 00000000b09182d4
[  152.172760] R10: ffff8ae50aa6bac8 R11: 0000000000000000 R12: ffff8ae50aa6b7e8
[  152.172761] R13: ffff8ae50aa68958 R14: 0000000000000000 R15: ffff8ae50a900000
[  152.172763] FS:  00007fc851805980(0000) GS:ffff8ae52dc00000(0000) knlGS:0000000000000000
[  152.172764] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  152.172765] CR2: 00005596156c4fe0 CR3: 000000024b564001 CR4: 00000000003606f0
[  152.172766] Call Trace:
[  152.172801]  intel_atomic_commit+0x24f/0x330 [i915]
[  152.172808]  restore_fbdev_mode_atomic+0x199/0x1f0
[  152.172818]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
[  152.172821]  drm_fb_helper_set_par+0x24/0x50
[  152.172851]  intel_fbdev_set_par+0x11/0x60 [i915]
[  152.172854]  fbcon_init+0x594/0x620
[  152.172860]  visual_init+0xca/0x120
[  152.172863]  do_bind_con_driver+0x1bb/0x3a0
[  152.172869]  store_bind+0x190/0x1b0
[  152.172874]  kernfs_fop_write+0xfe/0x180
[  152.172879]  __vfs_write+0x1e/0x130
[  152.172882]  ? rcu_read_lock_sched_held+0x6f/0x80
[  152.172884]  ? rcu_sync_lockdep_assert+0x25/0x50
[  152.172886]  ? __sb_start_write+0xd9/0x1f0
[  152.172888]  ? __sb_start_write+0xf3/0x1f0
[  152.172892]  vfs_write+0xbd/0x1b0
[  152.172896]  SyS_write+0x40/0xa0
[  152.172900]  do_syscall_64+0x65/0x1a0
[  152.172904]  entry_SYSCALL_64_after_hwframe+0x42/0xb7
[  152.172906] RIP: 0033:0x7fc850f882b7
[  152.172907] RSP: 002b:00007ffd910e2f60 EFLAGS: 00000293 ORIG_RAX: 0000000000000001
[  152.172909] RAX: ffffffffffffffda RBX: 0000000000000004 RCX: 00007fc850f882b7
[  152.172910] RDX: 0000000000000002 RSI: 00007fc8513fe591 RDI: 0000000000000004
[  152.172911] RBP: 00007fc8513fe591 R08: 0000000000000000 R09: 0000000000000006
[  152.172912] R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000002
[  152.172913] R13: 0000000000000004 R14: 00007fc850f76628 R15: 00007fc850f72d80
[  152.172922] Code: af 9e 11 d9 e9 52 ff ff ff e8 b5 a8 bc d8 0f 0b e9 30 fa ff ff e8 a9 a8 bc d8 0f 0b 41 0f b6 4d 09 e9 10 fa ff ff e8 98 a8 bc d8 <0f> 0b e9 ad fa ff ff 80 3d 53 53 15 00 00 0f b6 f2 48 c7 c7 00 
[  152.173008] WARNING: CPU: 0 PID: 1479 at drivers/gpu/drm/i915/intel_display.c:11616 intel_atomic_commit_tail+0xc28/0xce0 [i915]
[  152.173009] ---[ end trace 6ec8764f8cc81f52 ]---
Comment 4 Martin Peres 2018-06-19 13:14:09 UTC
Also seen on GLK:
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_64/fi-glk-j4005/igt@kms_vblank@pipe-b-ts-continuation-modeset-rpm.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_64/fi-glk-j4005/igt@kms_draw_crc@draw-method-xrgb8888-mmap-wc-ytiled.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_64/fi-glk-j4005/igt@kms_draw_crc@draw-method-rgb565-mmap-gtt-xtiled.html

[  192.697041] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
[  192.697149] ------------[ cut here ]------------
[  192.697153] pipe state doesn't match!
[  192.697277] WARNING: CPU: 0 PID: 1323 at drivers/gpu/drm/i915/intel_display.c:11860 intel_atomic_commit_tail+0xc84/0xcf0 [i915]
[  192.697283] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 btusb btrtl btbcm btintel x86_pkg_temp_thermal intel_powerclamp snd_hda_intel coretemp crct10dif_pclmul crc32_pclmul bluetooth ghash_clmulni_intel snd_hda_codec snd_hwdep snd_hda_core ecdh_generic snd_pcm r8169 mii mei_me mei prime_numbers i2c_hid pinctrl_geminilake pinctrl_intel
[  192.697416] CPU: 0 PID: 1323 Comm: kms_draw_crc Tainted: G     U  W         4.17.0-rc7-g02d8db1a894b-drmtip_64+ #1
[  192.697421] Hardware name: Intel Corporation NUC7CJYH/NUC7JYB, BIOS JYGLKCPX.86A.0027.2018.0125.1347 01/25/2018
[  192.697505] RIP: 0010:intel_atomic_commit_tail+0xc84/0xcf0 [i915]
[  192.697511] RSP: 0018:ffffa84d4023bad8 EFLAGS: 00010282
[  192.697519] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
[  192.697523] RDX: 0000000080000001 RSI: ffffffff9e086ca6 RDI: 00000000ffffffff
[  192.697527] RBP: ffff88741d980838 R08: 00000000c9c4d6a6 R09: 0000000000000000
[  192.697531] R10: ffff88742c34d700 R11: 0000000000000000 R12: ffff88742c34d3d8
[  192.697536] R13: ffff887432baefc8 R14: ffff88742d738008 R15: ffff88741d980000
[  192.697541] FS:  00007f18b3800980(0000) GS:ffff88743fc00000(0000) knlGS:0000000000000000
[  192.697545] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  192.697550] CR2: 00007fbf0b270088 CR3: 00000001fef32000 CR4: 0000000000340ef0
[  192.697554] Call Trace:
[  192.697653]  intel_atomic_commit+0x240/0x320 [i915]
[  192.697672]  drm_atomic_helper_set_config+0x7b/0x90
[  192.697683]  __drm_mode_set_config_internal+0x63/0x120
[  192.697692]  drm_mode_setcrtc+0x42d/0x610
[  192.697727]  ? drm_mode_getcrtc+0x180/0x180
[  192.697734]  drm_ioctl_kernel+0x7c/0xf0
[  192.697746]  drm_ioctl+0x2e6/0x3a0
[  192.697756]  ? drm_mode_getcrtc+0x180/0x180
[  192.697783]  do_vfs_ioctl+0xa0/0x6c0
[  192.697791]  ? vm_munmap+0x67/0x90
[  192.697797]  ? do_munmap+0x2f9/0x3f0
[  192.697810]  ksys_ioctl+0x35/0x60
[  192.697820]  __x64_sys_ioctl+0x11/0x20
[  192.697828]  do_syscall_64+0x55/0x190
[  192.697838]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[  192.697844] RIP: 0033:0x7f18b2a755d7
[  192.697848] RSP: 002b:00007ffe6e54bc38 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[  192.697858] RAX: ffffffffffffffda RBX: 00007ffe6e54bc70 RCX: 00007f18b2a755d7
[  192.697862] RDX: 00007ffe6e54bc70 RSI: 00000000c06864a2 RDI: 0000000000000003
[  192.697867] RBP: 00007ffe6e54bc70 R08: 0000000000000000 R09: 000056102d983144
[  192.697871] R10: 000056102d9ade30 R11: 0000000000000246 R12: 00000000c06864a2
[  192.697875] R13: 0000000000000003 R14: 0000000000000000 R15: 0000000000000000
[  192.697896] Code: 0f b6 44 24 18 e9 57 f8 ff ff e8 78 b8 c8 dc 0f 0b e9 78 f8 ff ff e8 6c b8 c8 dc 0f 0b 0f b6 14 24 e9 4b fd ff ff e8 5c b8 c8 dc <0f> 0b e9 e4 f8 ff ff e8 50 b8 c8 dc 0f 0b e9 e0 f7 ff ff e8 44 
[  192.698142] irq event stamp: 57768
[  192.698151] hardirqs last  enabled at (57767): [<ffffffff9d0fcb96>] console_unlock+0x426/0x640
[  192.698157] hardirqs last disabled at (57768): [<ffffffff9da0111c>] error_entry+0x7c/0x100
[  192.698162] softirqs last  enabled at (57748): [<ffffffff9dc0032b>] __do_softirq+0x32b/0x4e1
[  192.698170] softirqs last disabled at (57727): [<ffffffff9d090104>] irq_exit+0xa4/0xb0
[  192.698253] WARNING: CPU: 0 PID: 1323 at drivers/gpu/drm/i915/intel_display.c:11860 intel_atomic_commit_tail+0xc84/0xcf0 [i915]
[  192.698258] ---[ end trace e30618d741b0f623 ]---
Comment 5 Martin Peres 2018-07-17 12:16:54 UTC
Also seen on crc-single: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_72/fi-kbl-7500u/igt@kms_chamelium@dp-crc-single.html

(kms_chamelium:1556) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_crc_eq_or_dump, file ../lib/igt_chamelium.c:1064:
(kms_chamelium:1556) igt_chamelium-CRITICAL: Failed assertion: eq
Subtest dp-crc-single failed.

[  290.288461] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
[  290.288463] ------------[ cut here ]------------
[  290.288465] pipe state doesn't match!
[  290.288507] WARNING: CPU: 3 PID: 1556 at drivers/gpu/drm/i915/intel_display.c:11872 intel_atomic_commit_tail+0xcae/0xd10 [i915]
[  290.288509] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal intel_powerclamp coretemp crct10dif_pclmul crc32_pclmul btusb ghash_clmulni_intel btrtl snd_hda_intel btbcm btintel snd_hda_codec snd_hwdep snd_hda_core bluetooth e1000e snd_pcm ecdh_generic mei_me mei prime_numbers
[  290.288537] CPU: 3 PID: 1556 Comm: kms_chamelium Tainted: G     U  W         4.18.0-rc2-ge69a5560b14d-drmtip_72+ #1
[  290.288538] Hardware name: GIGABYTE GB-BKi7(H)A-7500/MFLP7AP-00, BIOS F7 06/28/2017
[  290.288565] RIP: 0010:intel_atomic_commit_tail+0xcae/0xd10 [i915]
[  290.288566] Code: b6 44 24 18 e9 2d f8 ff ff e8 ee 95 b1 ed 0f 0b e9 4e f8 ff ff e8 e2 95 b1 ed 0f 0b 0f b6 14 24 e9 47 fd ff ff e8 d2 95 b1 ed <0f> 0b e9 ba f8 ff ff e8 c6 95 b1 ed 0f 0b e9 b6 f7 ff ff e8 ba 95 
[  290.288621] RSP: 0018:ffffb51e8062fb30 EFLAGS: 00010282
[  290.288624] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
[  290.288625] RDX: 0000000080000001 RSI: ffffffffaf08796e RDI: 00000000ffffffff
[  290.288626] RBP: ffff9d75ca600838 R08: 0000000047168b30 R09: 0000000000000000
[  290.288627] R10: ffff9d75de090338 R11: 0000000000000000 R12: ffff9d75de090008
[  290.288628] R13: ffff9d75ca6aefc8 R14: ffff9d75de0937e8 R15: ffff9d75ca600000
[  290.288630] FS:  00007fcdefe0e980(0000) GS:ffff9d75edd80000(0000) knlGS:0000000000000000
[  290.288631] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  290.288632] CR2: 00007f15c4037000 CR3: 0000000262ba4002 CR4: 00000000003606e0
[  290.288633] Call Trace:
[  290.288668]  intel_atomic_commit+0x240/0x320 [i915]
[  290.288675]  restore_fbdev_mode_atomic+0x1c7/0x1e0
[  290.288685]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
[  290.288688]  drm_fb_helper_set_par+0x24/0x50
[  290.288715]  intel_fbdev_set_par+0x11/0x40 [i915]
[  290.288719]  fbcon_init+0x4db/0x680
[  290.288724]  visual_init+0xd0/0x130
[  290.288727]  do_bind_con_driver+0x1ef/0x3f0
[  290.288733]  store_bind+0x133/0x1a0
[  290.288738]  kernfs_fop_write+0x104/0x190
[  290.288743]  __vfs_write+0x31/0x180
[  290.288748]  ? rcu_read_lock_sched_held+0x6f/0x80
[  290.288750]  ? rcu_sync_lockdep_assert+0x29/0x50
[  290.288753]  ? __sb_start_write+0x152/0x1f0
[  290.288755]  ? __sb_start_write+0x168/0x1f0
[  290.288759]  vfs_write+0xbd/0x1a0
[  290.288762]  ksys_write+0x50/0xc0
[  290.288767]  do_syscall_64+0x55/0x190
[  290.288771]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[  290.288773] RIP: 0033:0x7fcdef5902b7
[  290.288773] Code: 44 00 00 41 54 55 49 89 d4 53 48 89 f5 89 fb 48 83 ec 10 e8 5b fd ff ff 4c 89 e2 41 89 c0 48 89 ee 89 df b8 01 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 35 44 89 c7 48 89 44 24 08 e8 94 fd ff ff 48 
[  290.288829] RSP: 002b:00007ffd52afc030 EFLAGS: 00000293 ORIG_RAX: 0000000000000001
[  290.288831] RAX: ffffffffffffffda RBX: 0000000000000004 RCX: 00007fcdef5902b7
[  290.288832] RDX: 0000000000000002 RSI: 00007fcdefa07a81 RDI: 0000000000000004
[  290.288833] RBP: 00007fcdefa07a81 R08: 0000000000000000 R09: 0000000000000006
[  290.288834] R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000002
[  290.288835] R13: 0000000000000004 R14: 00007fcdef57e628 R15: 00007fcdef57ad80
[  290.288844] irq event stamp: 132546
[  290.288847] hardirqs last  enabled at (132545): [<ffffffffae0fddcc>] vprintk_emit+0x4bc/0x4d0
[  290.288849] hardirqs last disabled at (132546): [<ffffffffaea0111c>] error_entry+0x7c/0x100
[  290.288851] softirqs last  enabled at (130514): [<ffffffffaec0034f>] __do_softirq+0x34f/0x505
[  290.288853] softirqs last disabled at (130497): [<ffffffffae0906e9>] irq_exit+0xa9/0xc0
[  290.288882] WARNING: CPU: 3 PID: 1556 at drivers/gpu/drm/i915/intel_display.c:11872 intel_atomic_commit_tail+0xcae/0xd10 [i915]
[  290.288883] ---[ end trace 879e956f202af24f ]---
Comment 6 Martin Peres 2018-09-21 14:35:28 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_112/fi-cfl-8109u/igt@kms_vblank@pipe-a-ts-continuation-dpms-suspend.html

[drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
<4> [61.447000] ------------[ cut here ]------------
<4> [61.447003] pipe state doesn't match!
<4> [61.447094] WARNING: CPU: 3 PID: 1041 at drivers/gpu/drm/i915/intel_display.c:11964 intel_atomic_commit_tail+0xca1/0xd00 [i915]
<4>[   61.447101] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec btusb btrtl snd_hwdep btbcm btintel snd_hda_core e1000e snd_pcm bluetooth mei_me mei ecdh_generic prime_numbers
<4>[   61.447195] CPU: 3 PID: 1041 Comm: kms_vblank Tainted: G     U            4.19.0-rc3-g0b1b218e8170-drmtip_112+ #1
<4>[   61.447200] Hardware name: Intel Corporation NUC8i3BEH/NUC8BEB, BIOS BECFL357.86A.0037.2018.0614.2204 06/14/2018
<4>[   61.447274] RIP: 0010:intel_atomic_commit_tail+0xca1/0xd00 [i915]
<4>[   61.447281] Code: 69 f8 ff ff e8 00 98 a5 c4 0f 0b 0f b6 44 24 18 e9 2a f8 ff ff e8 ef 97 a5 c4 0f 0b 0f b6 14 24 e9 7e fd ff ff e8 df 97 a5 c4 <0f> 0b e9 c1 f8 ff ff e8 d3 97 a5 c4 0f 0b 49 8b 46 50 e9 ec fd ff
<4>[   61.447286] RSP: 0018:ffffaa7dc040fb18 EFLAGS: 00010286
<4>[   61.447293] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
<4>[   61.447297] RDX: 0000000080000001 RSI: ffffffff860f7202 RDI: 00000000ffffffff
<4>[   61.447300] RBP: ffff94699bb908d8 R08: 00000000505523b9 R09: 0000000000000000
<4>[   61.447304] R10: ffff94699ec1c468 R11: 0000000000000000 R12: ffff9469a37a6678
<4>[   61.447309] R13: ffff94699ec1c138 R14: ffff9469a480d3d8 R15: ffff94699bb90000
<4>[   61.447313] FS:  00007f088a82e980(0000) GS:ffff9469b5b80000(0000) knlGS:0000000000000000
<4>[   61.447317] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[   61.447321] CR2: 00007ffcbe6a3f80 CR3: 00000002a53ec003 CR4: 00000000003606e0
<4>[   61.447325] Call Trace:
<4>[   61.447411]  intel_atomic_commit+0x240/0x320 [i915]
<4>[   61.447424]  drm_atomic_connector_commit_dpms+0xe0/0xf0
<4>[   61.447435]  set_property_atomic+0xb5/0x140
<4>[   61.447458]  drm_mode_obj_set_property_ioctl+0x10d/0x1c0
<4>[   61.447468]  ? drm_connector_set_obj_prop+0x70/0x70
<4>[   61.447474]  drm_connector_property_set_ioctl+0x39/0x60
<4>[   61.447483]  drm_ioctl_kernel+0x81/0xf0
<4>[   61.447494]  drm_ioctl+0x2e6/0x3a0
<4>[   61.447504]  ? drm_connector_set_obj_prop+0x70/0x70
<4>[   61.447513]  ? __handle_mm_fault+0x810/0xee0
<4>[   61.447525]  do_vfs_ioctl+0xa0/0x6d0
<4>[   61.447535]  ksys_ioctl+0x35/0x60
<4>[   61.447542]  __x64_sys_ioctl+0x11/0x20
<4>[   61.447546]  do_syscall_64+0x55/0x190
<4>[   61.447552]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4>[   61.447556] RIP: 0033:0x7f0889abb5d7
<4>[   61.447559] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4>[   61.447562] RSP: 002b:00007ffeaeed5df8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4>[   61.447567] RAX: ffffffffffffffda RBX: 00007f088a42e418 RCX: 00007f0889abb5d7
<4>[   61.447569] RDX: 00007ffeaeed5e30 RSI: 00000000c01064ab RDI: 0000000000000005
<4>[   61.447572] RBP: 00007ffeaeed5e30 R08: 0000000000000000 R09: 0000000000000006
<4>[   61.447574] R10: 00000000fffffffa R11: 0000000000000246 R12: 00000000c01064ab
<4>[   61.447578] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000000
<4>[   61.447590] irq event stamp: 69542
<4>[   61.447595] hardirqs last  enabled at (69541): [<ffffffff850fbbe6>] console_unlock+0x1b6/0x5e0
<4>[   61.447599] hardirqs last disabled at (69542): [<ffffffff85001910>] trace_hardirqs_off_thunk+0x1a/0x1c
<4>[   61.447603] softirqs last  enabled at (69460): [<ffffffff85c0031d>] __do_softirq+0x31d/0x483
<4>[   61.447607] softirqs last disabled at (69451): [<ffffffff850901f9>] irq_exit+0xa9/0xc0
<4>[   61.447658] WARNING: CPU: 3 PID: 1041 at drivers/gpu/drm/i915/intel_display.c:11964 intel_atomic_commit_tail+0xca1/0xd00 [i915]
<4>[   61.447661] ---[ end trace fb501e24a277cca2 ]---
Comment 7 Martin Peres 2018-11-19 11:56:18 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5153/shard-kbl2/igt@runner@aborted.html

Aborting.
Previous test: kms_vblank (pipe-a-ts-continuation-dpms-suspend)
Next test: gem_exec_reloc (basic-cpu-wc-noreloc)

Kernel tainted (0x240 -- 200)
Comment 8 Lakshmi 2018-11-21 17:03:38 UTC
Also seen on SKL.

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_146/fi-skl-6700k2/igt@kms_chamelium@hdmi-crc-single.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_143/fi-skl-6700k2/igt@kms_chamelium@hdmi-crc-fast.html

Starting subtest: hdmi-crc-single
(kms_chamelium:1541) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_crc_eq_or_dump, file ../lib/igt_chamelium.c:1065:
(kms_chamelium:1541) igt_chamelium-CRITICAL: Failed assertion: eq
Subtest hdmi-crc-single failed.

Starting subtest: hdmi-crc-single
(kms_chamelium:1541) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_crc_eq_or_dump, file ../lib/igt_chamelium.c:1065:
(kms_chamelium:1541) igt_chamelium-CRITICAL: Failed assertion: eq
Subtest hdmi-crc-single failed.
**** DEBUG ****
(kms_chamelium:1541) igt_chamelium-DEBUG: Resetting the chamelium
(kms_chamelium:1541) DEBUG: Waiting for HDMI-A-2 to disconnect...
(kms_chamelium:1541) DEBUG: Reprobing HDMI-A-2...
(kms_chamelium:1541) DEBUG: Test requirement passed: res = drmModeGetResources(data->drm_fd)
(kms_chamelium:1541) igt_chamelium-DEBUG: Plugging HDMI-A-2
(kms_chamelium:1541) DEBUG: Waiting for HDMI-A-2 to connect...
(kms_chamelium:1541) DEBUG: Reprobing HDMI-A-2...
(kms_chamelium:1541) igt_kms-DEBUG: display: HDMI-A-2: set_pipe(A)
(kms_chamelium:1541) igt_kms-DEBUG: display: HDMI-A-2: Selecting pipe A
(kms_chamelium:1541) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_chamelium:1541) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_chamelium:1541) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_chamelium:1541) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_chamelium:1541) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_chamelium:1541) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=7680)
(kms_chamelium:1541) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_chamelium:1541) igt_fb-DEBUG: Test requirement passed: cairo_surface_status(fb->cairo_surface) == CAIRO_STATUS_SUCCESS
(kms_chamelium:1541) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_chamelium:1541) igt_kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_chamelium:1541) igt_kms-DEBUG: display: A.0: plane_set_fb(134)
(kms_chamelium:1541) igt_kms-DEBUG: display: A.0: plane_set_size (1920x1080)
(kms_chamelium:1541) igt_kms-DEBUG: display: A.0: fb_set_position(0,0)
(kms_chamelium:1541) igt_kms-DEBUG: display: A.0: fb_set_size(1920x1080)
(kms_chamelium:1541) igt_kms-DEBUG: display: commit {
(kms_chamelium:1541) igt_kms-DEBUG: Pipe A: Setting property "CTM" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: Pipe A: Setting property "GAMMA_LUT" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: Pipe A: Setting property "DEGAMMA_LUT" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: Pipe A: Setting property "MODE_ID" to 0x84/132
(kms_chamelium:1541) igt_kms-DEBUG: Pipe A: Setting property "ACTIVE" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: A.0, fb 134
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "SRC_W" to 0x7800000/125829120
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "SRC_H" to 0x4380000/70778880
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "CRTC_W" to 0x780/1920
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "CRTC_H" to 0x438/1080
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "FB_ID" to 0x86/134
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "CRTC_ID" to 0x2d/45
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "COLOR_ENCODING" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane A.0: Setting property "COLOR_RANGE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: A.1, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "COLOR_ENCODING" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.1: Setting property "COLOR_RANGE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: A.2, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane A.2: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: Pipe B: Setting property "MODE_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: Pipe B: Setting property "ACTIVE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: B.0, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "COLOR_ENCODING" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.0: Setting property "COLOR_RANGE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: B.1, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "COLOR_ENCODING" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.1: Setting property "COLOR_RANGE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: B.2, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane B.2: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: Pipe C: Setting property "MODE_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: Pipe C: Setting property "ACTIVE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: C.0, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "COLOR_ENCODING" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.0: Setting property "COLOR_RANGE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: C.1, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "COLOR_ENCODING" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.1: Setting property "COLOR_RANGE" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: display:     populating plane data: C.2, fb 0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "SRC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "SRC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "SRC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "SRC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "CRTC_X" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "CRTC_Y" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "CRTC_W" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "CRTC_H" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "FB_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: plane C.2: Setting property "rotation" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display:     HDMI-A-1: preparing atomic, pipe: None
(kms_chamelium:1541) igt_kms-DEBUG: HDMI-A-1: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: HDMI-A-1: Setting property "Broadcast RGB" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display:     HDMI-A-2: preparing atomic, pipe: A
(kms_chamelium:1541) igt_kms-DEBUG: HDMI-A-2: Setting property "CRTC_ID" to 0x2d/45
(kms_chamelium:1541) igt_kms-DEBUG: HDMI-A-2: Setting property "Broadcast RGB" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display:     DP-1: preparing atomic, pipe: None
(kms_chamelium:1541) igt_kms-DEBUG: DP-1: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: DP-1: Setting property "Broadcast RGB" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display:     HDMI-A-3: preparing atomic, pipe: None
(kms_chamelium:1541) igt_kms-DEBUG: HDMI-A-3: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: HDMI-A-3: Setting property "Broadcast RGB" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display:     DP-2: preparing atomic, pipe: None
(kms_chamelium:1541) igt_kms-DEBUG: DP-2: Setting property "CRTC_ID" to 0x0/0
(kms_chamelium:1541) igt_kms-DEBUG: DP-2: Setting property "Broadcast RGB" to 0x1/1
(kms_chamelium:1541) igt_kms-DEBUG: display: }
(kms_chamelium:1541) igt_debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(kms_chamelium:1541) DEBUG: Captured 1 frames
(kms_chamelium:1541) igt_debugfs-DEBUG: CRC mismatch at index 0: 0xe195 != 0x8283
(kms_chamelium:1541) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_crc_eq_or_dump, file ../lib/igt_chamelium.c:1065:
(kms_chamelium:1541) igt_chamelium-CRITICAL: Failed assertion: eq
(kms_chamelium:1541) igt_core-INFO: Stack trace:
(kms_chamelium:1541) igt_core-INFO:   #0 ../lib/igt_core.c:1467 __igt_fail_assert()
(kms_chamelium:1541) igt_core-INFO:   #1 ../lib/igt_chamelium.c:1066 chamelium_assert_crc_eq_or_dump()
(kms_chamelium:1541) igt_core-INFO:   #2 ../tests/kms_chamelium.c:562 do_test_display_crc()
(kms_chamelium:1541) igt_core-INFO:   #3 ../tests/kms_chamelium.c:608 test_display_crc_all_modes()
(kms_chamelium:1541) igt_core-INFO:   #4 ../tests/kms_chamelium.c:938 __real_main791()
(kms_chamelium:1541) igt_core-INFO:   #5 ../tests/kms_chamelium.c:791 main()
(kms_chamelium:1541) igt_core-INFO:   #6 ../csu/libc-start.c:344 __libc_start_main()
(kms_chamelium:1541) igt_core-INFO:   #7 [_start+0x2a]
****  END  ****
Subtest hdmi-crc-single: FAIL (4.934s)
Comment 9 CI Bug Log 2019-01-28 12:38:41 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* CHAMELIUM: igt@kms_chamelium@* - fail / dmesg-fail- Failed assertion: !chamelium-&gt;env.fault_occurred (added on 3 months, 2 weeks ago)
Comment 10 CI Bug Log 2019-02-21 14:25:18 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@runner@aborted - fail - Previous test: pm_rpm system-suspend-execbuf|system-suspend-modeset|Previous test: kms_chamelium \(dp-crc-fast\) -}
{+ HSW KBL: igt@runner@aborted - fail - Previous test: (i915_pm_rpm|kms_chamelium) +}

 No new failures caught with the new filter
Comment 11 CI Bug Log 2019-04-30 12:53:58 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL GLK CFL: all tests - dmesg-warn - *ERROR* mismatch in has_audio (expected yes, found no) -}
{+ KBL GLK CFL CML: all tests - dmesg-warn - *ERROR* mismatch in has_audio (expected yes, found no) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6014/fi-cml-u2/igt@kms_chamelium@dp-crc-fast.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6013/fi-cml-u2/igt@kms_chamelium@dp-crc-fast.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6015/fi-cml-u2/igt@kms_chamelium@dp-crc-fast.html
Comment 12 CI Bug Log 2019-04-30 12:55:14 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@runner@aborted - fail - Previous test: (kms_vblank|kms_cursor_crc)|kms_chamelium \(dp-crc-single|multiple\) -}
{+ KBL CML: igt@runner@aborted - fail - Previous test: (kms_vblank|kms_cursor_crc)|kms_chamelium \(dp-crc-single|multiple\) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6014/fi-cml-u2/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6013/fi-cml-u2/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6015/fi-cml-u2/igt@runner@aborted.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6016/fi-cml-u2/igt@runner@aborted.html
Comment 13 Martin Peres 2019-04-30 12:56:10 UTC
Moving the bug to highest priority because it stops the execution of some CML platforms.
Comment 14 CI Bug Log 2019-04-30 12:57:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL GLK CFL CML: all tests - dmesg-warn - *ERROR* mismatch in has_audio (expected yes, found no) -}
{+ KBL GLK CFL CML: all tests - dmesg-warn - *ERROR* mismatch in has_audio (expected yes, found no) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6016/fi-cml-u2/igt@kms_chamelium@dp-crc-fast.html
Comment 15 Ville Syrjala 2019-05-02 14:10:55 UTC
Should be fixed with

commit abf4b8ed42e9dc64bdf05320273ee41f82fcd754
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Apr 30 17:29:00 2019 +0300

    drm/i915: Don't skip audio enable if ELD is bogus

Though the question remains as to why the EDID is first claiming audio support and then it is not.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.